ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 3045] - Javac needs assert enabler for JDK1.4
Date Mon, 17 Sep 2001 18:53:25 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=3045>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=3045





------- Additional Comments From bholcombe@3veni.com  2001-09-17 11:53 -------
BTW, there have been bugs reported against javadoc in the 1.4beta2 release that 
supposedly cause assertion parsing to fail. I had been using the additionalparam 
switch on the javadoc task, and got the same kind of errors as I had without the 
switch, even though the command line for javadoc was correct. The bugs are 
4492054 and 4498879, but the Java Developer Connection Bug Database currently 
lists them as not available!!! What does that mean? I'd love to know what the 
bugs say, but I can't get to them.

So, the workaround is to specify the "-source 1.4" as an additional param, even 
though your javadoc run will still fail. I suppose there could be a discussion 
on whether Ant needs to change at all, since there is a workaround that obviates 
and code changes. The solution might be just to change the docs to suggest using 
the additional param switch to solve the assertion problem.

Brad
bholcombe@3veni.com

Mime
View raw message